Subject: Re: [PATCH 4/6] arm64/io: Provide a WC friendly __iowriteXX_copy()

From: Jason Gunthorpe <[email-masked]>
Date: Fri, 23 Feb 2024 09:03:08 -0400

On Fri, Feb 23, 2024 at 12:19:24PM +0000, David Laight wrote:

> Since writes get 'posted' all over the place.
> How many writes do you need to do before write-combining makes a
> difference?

The issue is that the HW can optimize if the entire transaction is
presented in one TLP, if it has to reassemble the transaction it takes
a big slow path hit.

Jason